//
//  AutonomousHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/4/26.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "AutonomousHttpPostCmd.h"
#import "AutonomousHttpPostResult.h"

//static NSString *kActionUrl1 = @"/enterprise/activity/queryReleasedAll";
static NSString *kActionUrl1 = @"/appMobile/queryReleasedAll";
@implementation AutonomousHttpPostCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[AutonomousHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[AutonomousHttpPostResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
  NSString * _Nonnull const kHttpAutonomousHttpPostCmd_filters = @"filters";
  NSString * _Nonnull const kHttpAutonomousHttpPostCmd_value = @"value";
  NSString * _Nonnull const kHttpAutonomousHttpPostCmd_attr = @"attr";
  NSString * _Nonnull const kHttpAutonomousHttpPostCmd_empid = @"empid";
  NSString * _Nonnull const kHttpAutonomousHttpPostCmd_userid = @"userid";
